UbixOS V2 2.0

Data Fields
semaphore Struct Reference

`#include <wait.h>`

Collaboration diagram for semaphore:

## Data Fields
int | sount
struct wait_queue * | wait

## Detailed Description

Definition at line 39 of file wait.h.

## Field Documentation

## ◆ sount

int semaphore::sount

Definition at line 40 of file wait.h.

## ◆ wait

struct wait_queue* semaphore::wait

Definition at line 41 of file wait.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/ubixos/wait.h